Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.zkforge.timeplot.geometry
Class LogarithmicValueGeometry

    java.lang.Object
      org.zkforge.timeplot.geometry.LogarithmicValueGeometry

All Implemented Interfaces:
  ValueGeometry

    public class LogarithmicValueGeometry

extends java.lang.Object
implements ValueGeometry

Field Summary

Fields inherited from interface org.zkforge.timeplot.geometry.ValueGeometry
`BOTTOM, LEFT, RIGHT, SHORT, TOP`

Constructor Summary
`LogarithmicValueGeometry()`

Method Summary
`java.lang.String` | `getAxisColor()`
`java.lang.String` | `getAxisLabelsPlacement()`
`java.lang.String` | `getGridColor()`
`float` | `getGridLineWidth()`
`int` | `getGridShortSize()`
`int` | `getGridSpacing()`
`java.lang.String` | `getGridType()`
`int` | `getMax()`
`int` | `getMin()`
`int` | `getValueGeometryId()`
`void` | `setAxisColor(java.lang.String axisColor)`
`void` | `setAxisLabelsPlacement(java.lang.String axisLabelsPlacement)`
`void` | `setGridColor(java.lang.String gridColor)`
`void` | `setGridLineWidth(float gridLineWidth)`
`void` | `setGridShortSize(int gridShortSize)`
`void` | `setGridSpacing(int gridSpacing)`
`void` | `setGridType(java.lang.String gridType)`
`void` | `setMax(int max)`
`void` | `setMin(int min)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LogarithmicValueGeometry

    public LogarithmicValueGeometry()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAxisColor

    public java.lang.String getAxisColor()

  Specified by:
    `getAxisColor` in interface `ValueGeometry`

### setAxisColor

    public void setAxisColor(java.lang.String axisColor)

  Specified by:
    `setAxisColor` in interface `ValueGeometry`

### getAxisLabelsPlacement

    public java.lang.String getAxisLabelsPlacement()

  Specified by:
    `getAxisLabelsPlacement` in interface `ValueGeometry`

### setAxisLabelsPlacement

    public void setAxisLabelsPlacement(java.lang.String axisLabelsPlacement)

  Specified by:
    `setAxisLabelsPlacement` in interface `ValueGeometry`

### getGridColor

    public java.lang.String getGridColor()

  Specified by:
    `getGridColor` in interface `ValueGeometry`

### setGridColor

    public void setGridColor(java.lang.String gridColor)

  Specified by:
    `setGridColor` in interface `ValueGeometry`

### getGridLineWidth

    public float getGridLineWidth()

  Specified by:
    `getGridLineWidth` in interface `ValueGeometry`

### setGridLineWidth

    public void setGridLineWidth(float gridLineWidth)

  Specified by:
    `setGridLineWidth` in interface `ValueGeometry`

### getGridShortSize

    public int getGridShortSize()

  Specified by:
    `getGridShortSize` in interface `ValueGeometry`

### setGridShortSize

    public void setGridShortSize(int gridShortSize)

  Specified by:
    `setGridShortSize` in interface `ValueGeometry`

### getGridSpacing

    public int getGridSpacing()

  Specified by:
    `getGridSpacing` in interface `ValueGeometry`

### setGridSpacing

    public void setGridSpacing(int gridSpacing)

  Specified by:
    `setGridSpacing` in interface `ValueGeometry`

### getGridType

    public java.lang.String getGridType()

  Specified by:
    `getGridType` in interface `ValueGeometry`

### setGridType

    public void setGridType(java.lang.String gridType)

  Specified by:
    `setGridType` in interface `ValueGeometry`

### getMax

    public int getMax()

  Specified by:
    `getMax` in interface `ValueGeometry`

### setMax

    public void setMax(int max)

  Specified by:
    `setMax` in interface `ValueGeometry`

### getMin

    public int getMin()

  Specified by:
    `getMin` in interface `ValueGeometry`

### setMin

    public void setMin(int min)

  Specified by:
    `setMin` in interface `ValueGeometry`

### getValueGeometryId

    public int getValueGeometryId()

  Specified by:
    `getValueGeometryId` in interface `ValueGeometry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Potix Corporation. All Rights Reserved.